MyGUI 3.2.2

- Main Page
- Related Pages
- Namespaces
- Data Structures
- Files
- Examples

- Data Structures
- Data Structure Index
- Class Hierarchy
- Data Fields

Public Member Functions
MyGUI::IDataStream Class Referenceabstract

`#include <MyGUI_IDataStream.h>`

Inheritance diagram for MyGUI::IDataStream:
[legend]

## Public Member Functions
virtual | ~IDataStream ()
virtual bool | eof ()=0
virtual size_t | size ()=0
virtual void | readline (std::string &_source, Char _delim= '\n')=0
virtual size_t | read (void *_buf, size_t _count)=0

## Detailed Description

Definition at line 16 of file MyGUI_IDataStream.h.

## Constructor & Destructor Documentation

virtual MyGUI::IDataStream::~IDataStream | ( |  | ) |
| inline virtual

Definition at line 19 of file MyGUI_IDataStream.h.

## Member Function Documentation

virtual bool MyGUI::IDataStream::eof | ( |  | ) |
| pure virtual

Implemented in MyGUI::DataMemoryStream, and MyGUI::DataStream.

virtual size_t MyGUI::IDataStream::read | ( | void * | _buf,
|  | size_t | _count
| ) |  |
| pure virtual

Implemented in MyGUI::DataMemoryStream, and MyGUI::DataStream.

virtual void MyGUI::IDataStream::readline | ( | std::string & | _source,
|  | Char | _delim = `'\n'`
| ) |  |
| pure virtual

Implemented in MyGUI::DataMemoryStream, and MyGUI::DataStream.

virtual size_t MyGUI::IDataStream::size | ( |  | ) |
| pure virtual

Implemented in MyGUI::DataMemoryStream, and MyGUI::DataStream.

The documentation for this class was generated from the following file:

- MyGUI_IDataStream.h